import React from 'react';
import { Portal } from 'react-portal';

var styles = {"fontFamily":"PortalManager-module__3xH-v3Vl__v2-0-0","heading-1":"PortalManager-module__1XTzIN12__v2-0-0","heading-2":"PortalManager-module__8NP7xuFD__v2-0-0","heading-3":"PortalManager-module__3uKDiTdT__v2-0-0","heading-4":"PortalManager-module__zI0CXKzB__v2-0-0","subtitle-1":"PortalManager-module__3dAYsEm-__v2-0-0","subtitle-2":"PortalManager-module__12wxIdrr__v2-0-0","subtitle-3":"PortalManager-module__lu4OA7kp__v2-0-0","subtitle-4":"PortalManager-module__35ncpUiY__v2-0-0","body-1":"PortalManager-module__1ib_7o9A__v2-0-0","button-1":"PortalManager-module__vq1UNFfi__v2-0-0","caption-1":"PortalManager-module__RERmf4hg__v2-0-0","caption-2":"PortalManager-module__3Yz0fSzA__v2-0-0","overline-1":"PortalManager-module__11CDYWUB__v2-0-0"};

var portalsContainerId = 'ui-components-portals-container';
var PortalManager = {
    containerInstance: function () {
        var portalsContainerElement = document.getElementById(portalsContainerId);
        if (!portalsContainerElement) {
            var container = document.createElement('div');
            container.id = portalsContainerId;
            container.style.position = 'relative';
            container.className = styles['body-1'];
            portalsContainerElement = document.body.appendChild(container);
        }
        portalsContainerElement.style.zIndex = '1000000';
        return portalsContainerElement;
    },
};

var GroupedPortal = function (_a) {
    var children = _a.children;
    return (React.createElement(Portal, { node: PortalManager.containerInstance() }, children));
};

export { GroupedPortal, PortalManager };
//# sourceMappingURL=index.js.map
